/*  70-762 Lesson 12 Inline Code */


USE WideWorldImporters;
GO

 ---Show Statistics on Non-clustered index on StockItemID----------------------
DBCC SHOW_STATISTICS ('Purchasing.PurchaseOrderLines', FK_Purchasing_PurchaseOrderLines_StockItemID);
GO

DBCC SHOW_STATISTICS ('Purchasing.PurchaseOrderLines', 
	FK_Purchasing_PurchaseOrderLines_StockItemID)
	WITH STAT_HEADER;
GO

DBCC SHOW_STATISTICS ('Purchasing.PurchaseOrderLines', 
	FK_Purchasing_PurchaseOrderLines_StockItemID)
	WITH DENSITY_VECTOR;
GO

DBCC SHOW_STATISTICS ('Purchasing.PurchaseOrderLines', 
	FK_Purchasing_PurchaseOrderLines_StockItemID)
	WITH HISTOGRAM;
GO

-->>>>Check Auto Statistics settings for databases<<<<----
USE master;
GO

 SELECT name AS 'Name', 
     is_auto_create_stats_on AS "Auto Create Stats",
     is_auto_update_stats_on AS "Auto Update Stats",
     is_auto_update_stats_async_on AS "Auto Update Stats Async" 
 FROM sys.databases
 WHERE database_ID > 4;
 GO

USE WideWorldImporters;
GO

SELECT OBJECT_NAME(object_id) AS 'Object Name'
	,name AS 'Statistics Name'
	,auto_created
FROM sys.stats
WHERE object_id = OBJECT_ID(N'Purchasing.PurchaseOrderLines', N'U');


SELECT OBJECT_NAME(object_id) AS 'Object Name'
	,name AS 'Statistics Name'
	,STATS_DATE(object_id, stats_id) AS 'Update Date'
FROM sys.stats
WHERE object_id = OBJECT_ID('Purchasing.PurchaseOrderLines');

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>


