

USE WideWorldImporters;
GO

SELECT [OrderID]
      ,[CustomerID]
      ,[SalespersonPersonID]
      ,[OrderDate]
  FROM Sales.Orders
  WHERE SalespersonPersonID = 7;

SELECT 
	(avg_user_impact*.01) *(user_seeks+user_scans)* avg_total_user_cost AS  Avg_Improvement_with_Index,
	mid.statement,
	mid.equality_columns,
	mid.inequality_columns,
	mid.included_columns
FROM sys.dm_db_missing_index_group_stats AS migs
	INNER JOIN sys.dm_db_missing_index_groups AS mig
		ON migs.group_handle = mig.index_group_handle
	INNER JOIN sys.dm_db_missing_index_details AS mid
		ON mig.index_handle = mid.index_handle
ORDER BY Avg_Improvement_with_Index DESC;
GO
