/* 70-762 Lesson 14 Lab 2 - Using Elastic Database Tools */

/*
Building Scalable Cloud Databases:
	https://docs.microsoft.com/en-us/azure/sql-database/sql-database-elastic-database-client-library
Using a sample application demonstrating the client library:
	https://docs.microsoft.com/en-us/azure/sql-database/sql-database-elastic-scale-get-started
Converting existing databases to use the elastic database tools:
	https://docs.microsoft.com/en-us/azure/sql-database/sql-database-elastic-convert-to-use-elastic-tools
*/


/*
STEPS TO BUILD SCALABLE CLOUD DATABASES
1.  Create shard map manager
2.  Add some shards
3.  Insert rows using data dependent routing
4.  Execute a multi-shard query
*/

/*
Download the Elastic DB Tools for Azure SQL - Getting Started sample from MSDN
 --Unzip the sample to a location that you choose
 --To create a project, open the ElasticScaleStarterKit.sln solution from the C# directory
 --In the solution for the sample project, open the app.config file
 --Then follow the instructions in the file to add your Azure SQL Database server name and your sign-in information
	 (user name and password).
 --Build and run the application
 --When prompted, enable Visual Studio to restore the NuGet packages of the solution
 --This downloads the latest version of the elastic database client library from NuGet
 --Experiment with the different options to learn more about the client library capabilities
 --Note the steps the application takes in the console output 
 --Explore the code behind the scenes
*/
-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>