/* 70-762 Lesson 14 Lab 7 - Using DMVs to Monitor Memory Usage */


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--The following displays the amount of memory
-- SQL is using in KB

SELECT	si.committed_kb as 'Memory Committed',
		si.committed_target_kb as 'Memory Target',
		sm.total_physical_memory_kb as 'Physical Memory',
		sm.available_physical_memory_kb as 'Available Memory'
FROM sys.dm_os_sys_info as si
	CROSS APPLY	sys.dm_os_sys_memory as sm;
GO

--The following displays memory clerk information for Wide World Importers database
SELECT *
FROM sys.dm_os_memory_clerks
WHERE name = 'WideWorldImporters';
GO

--The following displays memory cache information for Wide World Importers database
SELECT *
FROM sys.dm_os_memory_cache_counters
WHERE name = 'WideWorldImporters';
GO

-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
--Sample query-----------------
USE WideWorldImporters;
GO
SELECT *
FROM Sales.OrderLines;
GO
