/* 70-762 Lesson 15 Lab 2 - Configuring and Using Management Data Warehouse */


-->>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
/*
1.  Ensure that SQL Server Agent is running
2.  In Object Explorer, expand the Management node 
3.  Right-click Data Collection, expand Tasks, and then click Configure Management Data Warehouse 
4.  Use Configure Management Data Warehouse Wizard to create a management data warehouse,
	 configure logins, enable data collection, and start the System Data Collection Sets 

--***Configure Management Data Warehouse Wizard***--
1.  Welcome Page 
2.  Configure Management Data Warehouse Storage Page 
        Select a SQL Server database server and management data warehouse 
		The management data warehouse is a relational database that will store collected data
3.  Server name
		Specifies the name of the server that will host the management data warehouse
		When configuring management data warehouse, Server name is always name of local server and cannot be modified
4.  Database name
		Specifies the relational database that will store collected data 
		Use the list to select an existing database or click New 
		to create a new database using the New Database dialog 
		The New option is available only when configuring a data collection set 
5.  Map Logins and Users Page 
		Use this page to map logins to database user roles for the management data warehouse 
6.  Users mapped to this login
		Displays the existing logins on the server that will host the management data warehouse
		Specify a login by selecting the Map checkbox for the login. 
7.  Database role membership for: <data warehouse name>
		Select the management data warehouse role that the login is mapped to by
		clicking the checkbox by one or more of the following options: 
			mdw_admin 
			mdw_reader 
			mdw_writer 
		New Login
8.  Complete the Wizard Page 
		Use this page to verify and complete data collection configuration
		The tree displayed in the viewing window shows what configurations will applied
		as well as what actions will take place when Finish clicked

9.  Configure Data Collection Wizard Progress Page 
		Use this page to view the results of each configuration step 
		Details
			Displays each configuration step as a row in the Details grid
			Each row contains an Action column that describes the step, 
			and a Status column that indicates the success or failure of the step
			If there is an error, a message appears in the Message column 
10. Stop
		Stop wizard processing. 
11. Report
		View a report of the data collection configuration. The following report options are provided: 
		View Report 
		Save Report to File 
		Copy Report to Clipboard 
		Send Report as E-mail 
12. Close
		Close the wizard
*/
