/*70-762 Lesson 5 Lab 1 - Using DEFAULT, UNIQUE, CHECK, and FOREIGN KEY Constraints */

USE WideWorldImporters;
GO

SELECT *
FROM sys.check_constraints;
GO



USE WideWorldImporters;  
GO  
SELECT OBJECT_NAME(object_id) as constraint_name  
    ,SCHEMA_NAME(schema_id) AS schema_name  
    ,OBJECT_NAME(parent_object_id) AS table_name  
    ,type_desc  
    ,create_date  
    ,modify_date  
    ,is_ms_shipped  
    ,is_published  
    ,is_schema_published  
FROM sys.objects  
WHERE type_desc LIKE '%CONSTRAINT'   
    AND parent_object_id = OBJECT_ID('sales.customers');  
GO


SELECT CustomerName
FROM Sales.Customers
ORDER BY CustomerName;
GO

INSERT INTO Sales.Customers (CustomerName)
VALUES ('Eric Torres');
GO

USE WideWorldImporters;  
GO  
SELECT OBJECT_NAME(object_id) as constraint_name  
    ,SCHEMA_NAME(schema_id) AS schema_name  
    ,OBJECT_NAME(parent_object_id) AS table_name  
    ,type_desc  
    ,create_date  
    ,modify_date  
    ,is_ms_shipped  
    ,is_published  
    ,is_schema_published  
FROM sys.objects  
WHERE type_desc LIKE '%CONSTRAINT'   
    AND parent_object_id = OBJECT_ID('sales.BuyingGroups');  
GO

--Current data in Sales.BuyingGroups--------
SELECT *
FROM Sales.BuyingGroups;
GO

--Insert another buying group with same BuyingGroupID----
INSERT INTO Sales.BuyingGroups 
	( [BuyingGroupID]
      ,[BuyingGroupName]
      ,[LastEditedBy]
      )
VALUES
	(1
	,'Tailspin Toys 2'
	,1
	);
GO

--Insert duplicate name with different ID
INSERT INTO Sales.BuyingGroups 
	( [BuyingGroupID]
      ,[BuyingGroupName]
      ,[LastEditedBy]
      )
VALUES
	(5
	,'Tailspin Toys'
	,1
	);
GO
