/* 70-762 Lesson 12 Lab 1 - Using the DBCC SHOW_STATISTICS Command */

-->>>>>>>>>>
--DBCC SHOW_STATISTICS shows the actual status for a given statistic on a table or indexed view
--output composed of statistic header, the density vector and the histogram
-->>>><<<<-----------------
USE WideWorldImporters;
GO
 
DBCC SHOW_STATISTICS ('Purchasing.PurchaseOrderLines', FK_Purchasing_PurchaseOrderLines_StockItemID);
GO

--Statistics header-------------
DBCC SHOW_STATISTICS ('Purchasing.PurchaseOrderLines', 
	FK_Purchasing_PurchaseOrderLines_StockItemID)
	WITH STAT_HEADER;
GO

--Density vector-----------------
DBCC SHOW_STATISTICS ('Purchasing.PurchaseOrderLines', 
	FK_Purchasing_PurchaseOrderLines_StockItemID)
	WITH DENSITY_VECTOR;
GO

--Histogram---------------------
--representation of distribution of values
--across fixed number of intervals------------
DBCC SHOW_STATISTICS ('Purchasing.PurchaseOrderLines', 
	FK_Purchasing_PurchaseOrderLines_StockItemID)
	WITH HISTOGRAM;
GO

