/*  70-762 Lesson 1 Inline Code */



-------------------------------------------------------------------------------
--Using CONVERT to display different formats----------------------------------
SELECT
CONVERT(VARCHAR(19),GETDATE()) AS 'system timestamp type datetime',
CONVERT(VARCHAR(10),GETDATE(),10) AS 'US format',
CONVERT(VARCHAR(10),GETDATE(),110) AS 'US format with century',
CONVERT(VARCHAR(11),GETDATE(),103) AS 'British/French format ',
CONVERT(VARCHAR(11),GETDATE(),104) AS 'German format ',
CONVERT(VARCHAR(24),GETDATE(),113) AS 'European format';
GO

USE WideWorldImporters;
GO

--Querying for Vehicle Temperatures taken on RecordedWhen date of April 25, 2016
--RecordedWhen is datatype Datetime2 which includes date and time
SELECT VehicleTemperatureID, RecordedWhen
FROM Warehouse.VehicleTemperatures
WHERE RecordedWhen >= '20160425' and RecordedWhen < '20160426'; -- Use 24 hour interval


--Querying for Vehicle Temperatures taken on RecordedWhen date of April 25, 2016
--RecordedWhen is datatype Datetime2 which includes date and time
SELECT VehicleTemperatureID, RecordedWhen, CAST(RecordedWhen AS date) AS 'date'
FROM Warehouse.VehicleTemperatures
WHERE CAST(RecordedWhen AS date) = '20160425'; --Redefine RecordedWhen datatype as date


---Using GEOGRAPHY Data Type----------------------------------
----with .Lat and .Long methods--------------------------------
/*************************************************************/
USE WideWorldImporters
GO

SELECT CityName, StateProvinceID, Location, Location.Lat AS Latitude, Location.Long AS Longitude
FROM Application.Cities;

USE WideWorldImporters
GO

SELECT CityName, Location.Lat AS Latitude, Location.Long AS Longitude
FROM Application.Cities
WHERE CityName = 'Seattle' AND StateProvinceID = 50;











